
Image Component Library - Bug #155

Kinect Grabber does not work any more

2013-02-21 11:24 - Christof Elbrechter

Status: Closed Start date: 2013-02-21

Priority: High Due date:  

Assignee: Christof Elbrechter % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: icl-8.0   

Description

The KinectGrabber' internal class KinectDevice gets stuck, in it's destructor. Unfortunately this

is always called at least once BEFORE the grabber provides any image.

History

#1 - 2013-02-21 15:11 - Christof Elbrechter

- Status changed from New to In Progress

- Priority changed from Urgent to High

- % Done changed from 0 to 50

hot-fix is available

we still need to find out where the actual issue is

#2 - 2013-03-01 14:50 - Viktor Richter

- Status changed from In Progress to Resolved

- Assignee changed from Viktor Richter to Christof Elbrechter

- % Done changed from 50 to 100

Bug resolved.

Seems like the main problem was that the run-loop of the FreenectContext-Thread was not properly locked.

After adding a lock, the device does not freze anymore.

I assume that otherwise the thread is stopped within 'freenect_process_events' making all further calls to freenect functions block.

#3 - 2013-03-15 10:11 - Christof Elbrechter

- Status changed from Resolved to Closed
